tigase.jaxmpp.core.client.xmpp.modules.pubsub

## Class PubSubModule.AffiliationsRetrieveAsyncCallback

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.pubsub.PubSubAsyncCallback
  - - tigase.jaxmpp.core.client.xmpp.modules.pubsub.PubSubModule.AffiliationsRetrieveAsyncCallback

- All Implemented Interfaces:
    AsyncCallback
  Enclosing class:
    PubSubModule

      public abstract static class PubSubModule.AffiliationsRetrieveAsyncCallback
      extends PubSubAsyncCallback

- - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.core.client.xmpp.modules.pubsub.PubSubAsyncCallback

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AffiliationsRetrieveAsyncCallback()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract void` | `onRetrieve(IQ response, String node, Collection<PubSubModule.AffiliationElement> affiliations)`
    `void` | `onSuccess(Stanza responseStanza)` Called when received response has type result.

    - ### Methods inherited from class tigase.jaxmpp.core.client.xmpp.modules.pubsub.PubSubAsyncCallback

      `onEror, onError`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.jaxmpp.core.client.AsyncCallback

      `onTimeout`

- - ### Constructor Detail

    - #### AffiliationsRetrieveAsyncCallback

          public AffiliationsRetrieveAsyncCallback()

  - ### Method Detail

    - #### onRetrieve

          protected abstract void onRetrieve(IQ response,
                                             String node,
                                             Collection<PubSubModule.AffiliationElement> affiliations)

    - #### onSuccess

          public void onSuccess(Stanza responseStanza)
                         throws JaxmppException

      Description copied from interface: `AsyncCallback`
      Called when received response has type result.
      Parameters:
        `responseStanza` - received stanza
      Throws:
        `JaxmppException`

Copyright © 2006–2019 Tigase. All rights reserved.